petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerStringSPrintf

Prints information to a PetscViewer string.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscViewerStringSPrintf(PetscViewer viewer,const char format[],...)

Logically Collective on PetscViewer (Hmmm, each processor maintains a separate string)

### Input Parameters

| v | - a string PetscViewer, formed by PetscViewerStringOpen()
| format | - the format of the input

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscViewerStringOpen()

### Level

developer

### Location

src/sys/classes/viewer/impls/string/stringv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages